Skip to main content
GET
/
v2
/
inbound
/
contacts
List contacts
curl --request GET \
  --url https://enrich.octolane.com/v2/inbound/contacts \
  --header 'X-API-Key: <x-api-key>'
Simple list endpoint for Contacts.
Filters and sorting are not supported on this endpoint. Use POST /contacts/search when you need them.

Request

X-API-Key
string
required
Your Octolane API key.

Query parameters

q
string
Basic text search across contact name and email.
cursor
string
Opaque cursor from a previous response. See Cursor pagination.
limit
number
default:"100"
Page size. Max 500.
fields
string
Comma-separated fields or JSON-encoded string array.

Example request

curl "https://enrich.octolane.com/v2/inbound/contacts?limit=10&q=john&fields=id,name,email,job_title,custom_fields" \
  -H "X-API-Key: your-api-key"

Example response

200
{
  "success": true,
  "data": {
    "contacts": [
      {
        "id": "contact_uuid",
        "name": "John Smith",
        "first_name": "John",
        "last_name": "Smith",
        "email": "john@example.com",
        "avatar_url": null,
        "account_id": "account_uuid",
        "created_at": "2026-05-25T09:30:03.285099Z",
        "updated_at": "2026-05-25T09:30:03.285099Z",
        "custom_fields": {
          "customer_tier": "enterprise"
        }
      }
    ],
    "custom_field_definitions": {
      "customer_tier": {
        "current_name": "Customer Tier",
        "property_name": "text_123",
        "attribute_type": "string",
        "metadata": null
      }
    },
    "has_more": true,
    "next_cursor": "opaque_cursor",
    "limit": 10
  },
  "message": "Contacts fetched successfully",
  "statusCode": 200
}